#!/bin/bash
  
   #Name of the simcoal parameter file
   parameterFile=1Pop_n20_10STR.par
	#NEED to specify which arlsumstat version you are using
   arlsumstat=arlsumstat.exe  #Windows version
	#Name of the files containing computed summary statistics
	outss=outss.txt
   #generate 10 files with 20 diploid individuals analysed at 10 STR loci
   ./simcoal3 $parameterFile 10 1
	#Move to directory containing arlequin files generated by simcoal
	cd ${parameterFile%.*}
	cp ../$arlsumstat .
	cp ../arl_run.ars .
	cp ../ssdefs.txt .
   counter=1;
   for file in *.arp
   do
   	echo "Processing file $file"
      if [ $counter -eq 1 ];  then 
         #Compute stats, reset output file "outss.txt" and include header
         ./$arlsumstat  ./$file $outss 0 1 run_silent                              
      else
         #Compute stats and just append stats in output file "outss.txt"
         ./$arlsumstat ./$file $outss 1 0 run_silent          
      fi
      let counter=counter+1
   done
   #Do some cleaning
	rm ./$arlsumstat
	rm ./arl_run.ars
	rm ./ssdefs.txt
   rm *.res -r
	mv $outss ..
   cd ..



